.background {
	width:100%;
	height:100%;
  position:fixed;
  z-index:-1;
	background:linear-gradient(-45deg, #EE7752, #E73C7E, #23A6D5, #23D5AB);
	background-size:400% 400%;
	-webkit-animation:Gradient 15s ease infinite;
	-moz-animation:Gradient 15s ease infinite;
	animation:Gradient 15s ease infinite;
}
@-webkit-keyframes Gradient {
	0% {
		background-position:0% 50%
	}
	50% {
		background-position:100% 50%
	}
	100% {
		background-position:0% 50%
	}
}
@-moz-keyframes Gradient {
	0% {
		background-position:0% 50%
	}
	50% {
		background-position:100% 50%
	}
	100% {
		background-position:0% 50%
	}
}
@keyframes Gradient {
	0% {
		background-position:0% 50%
	}
	50% {
		background-position:100% 50%
	}
	100% {
		background-position:0% 50%
	}
}

.logo {
  margin-bottom: 30px;
  font-family:'Open Sans', sans-serif;
  font-weight:800;
  letter-spacing:1px;
  text-align:center;
  text-transform:uppercase;
  color:#777;
}
.logo a, .logo a:hover, .logo a:active, .logo a:visited {
  color:#777;
  text-decoration:none;
}

.small_box {
  position:absolute;
  top:50%;
  left:50%;
  width:400px;
  min-height:440px;
  margin-left:-200px;
  margin-top:-230px;
  margin-bottom:100px;
  padding:2% 5%;
  background-color:white;
  box-shadow:0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}
.big_box {
  position:absolute;
  top:50%;
  left:50%;
  width:75%;
  min-height:440px;
  margin-left:calc(-75% / 2);
  margin-top:-230px;
  margin-bottom:100px;
  padding:2% 5%;
  background-color:white;
  box-shadow:0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}

/* input */
form label {
  display:block;
}
form input[type="text"], form input[type="password"], form input[type="email"] {
  width:100%;
  border:0;
  padding:15px;
  margin:0 0 15px;
  box-sizing:border-box;
  outline:0;
  background:#f2f2f2;
}
form input[type="submit"] {
  font-family:"Roboto", sans-serif;
  text-transform:uppercase;
  outline:0;
  background:#4CAF50;
  width:100%;
  border:0;
  padding:15px;
  color:#FFFFFF;
  font-size:14px;
  -webkit-transition:all 0.3 ease;
  transition:all 0.3 ease;
  cursor:pointer;
}
form input[type="submit"]:hover, form input[type="submit"]:active, form input[type="submit"]:focus {
  background:#43A047;
}
/* input */

/* gestione errori */
.control-label.labelRequired:after {
  content:"*";
  color:#a94442;
}

.errors input, .errors textarea, .errors select {
  border-color:#a94442;
}
.errorlist, .errorlist li {
  margin:-15px 0px 0px 0px;
  padding:0px;
  list-style:none;
}
.errorlist li {
  padding-top:1rem;
  color:#a94442;
}
.errorblock {
  padding-top:15px;
}
/* gestione errori */